RDKit: RDKit::Canon::bondholder Struct Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
RDKit::Canon::bondholder Struct Reference

`#include <new_canon.h>`

## Public Member Functions
| bondholder ()
| bondholder (Bond::BondType bt, Bond::BondStereo bs, unsigned int ni, unsigned int nsc)
| bondholder (Bond::BondType bt, unsigned int bs, unsigned int ni, unsigned int nsc)
bool | operator< (const bondholder &o) const

## Static Public Member Functions
static bool | greater (const bondholder &lhs, const bondholder &rhs)
static int | compare (const bondholder &x, const bondholder &y, unsigned int div=1)

## Public Attributes
Bond::BondType | bondType
unsigned int | bondStereo
unsigned int | nbrSymClass
unsigned int | nbrIdx

## Detailed Description

Definition at line 29 of file new_canon.h.

## Constructor & Destructor Documentation

RDKit::Canon::bondholder::bondholder | ( |  | ) |
| inline

Definition at line 34 of file new_canon.h.

RDKit::Canon::bondholder::bondholder | ( | Bond::BondType | bt,
|  | Bond::BondStereo | bs,
|  | unsigned int | ni,
|  | unsigned int | nsc
| ) |  |
| inline

Definition at line 39 of file new_canon.h.

RDKit::Canon::bondholder::bondholder | ( | Bond::BondType | bt,
|  | unsigned int | bs,
|  | unsigned int | ni,
|  | unsigned int | nsc
| ) |  |
| inline

Definition at line 45 of file new_canon.h.

## Member Function Documentation

static int RDKit::Canon::bondholder::compare | ( | const bondholder & | x,
|  | const bondholder & | y,
|  | unsigned int | div = `1`
| ) |  |
| inlinestatic

Definition at line 60 of file new_canon.h.

References bondStereo, bondType, and nbrSymClass.

Referenced by RDKit::Canon::SpecialChiralityAtomCompareFunctor::operator()(), RDKit::Canon::SpecialSymmetryAtomCompareFunctor::operator()(), RDKit::Canon::AtomCompareFunctor::operator()(), and RDKit::Canon::ChiralAtomCompareFunctor::operator()().

static bool RDKit::Canon::bondholder::greater | ( | const bondholder & | lhs,
|  | const bondholder & | rhs
| ) |  |
| inlinestatic

Definition at line 53 of file new_canon.h.

References bondStereo, bondType, and nbrSymClass.

bool RDKit::Canon::bondholder::operator< | ( | const bondholder & | o | ) | const
| inline

Definition at line 48 of file new_canon.h.

References bondStereo, bondType, and nbrSymClass.

## Member Data Documentation

unsigned int RDKit::Canon::bondholder::bondStereo

Definition at line 31 of file new_canon.h.

Referenced by compare(), greater(), and operator<().

Bond::BondType RDKit::Canon::bondholder::bondType

Definition at line 30 of file new_canon.h.

Referenced by compare(), greater(), and operator<().

unsigned int RDKit::Canon::bondholder::nbrIdx

Definition at line 33 of file new_canon.h.

unsigned int RDKit::Canon::bondholder::nbrSymClass

Definition at line 32 of file new_canon.h.

Referenced by compare(), greater(), and operator<().

The documentation for this struct was generated from the following file:

- new_canon.h